mbed TLS v2.23.0

Data Fields
psa_hkdf_key_derivation_t Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_hkdf_key_derivation_t:
[legend]

## Data Fields
uint8_t * | info
size_t | info_length
psa_hmac_internal_data | hmac
uint8_t | prk [PSA_HASH_MAX_SIZE]
uint8_t | output_block [PSA_HASH_MAX_SIZE]
uint8_t | offset_in_block
uint8_t | block_number
unsigned int | state: 2
unsigned int | info_set: 1

## Detailed Description

Definition at line 201 of file crypto_struct.h.

## Field Documentation

## ◆ block_number

uint8_t psa_hkdf_key_derivation_t::block_number

Definition at line 212 of file crypto_struct.h.

## ◆ hmac

psa_hmac_internal_data psa_hkdf_key_derivation_t::hmac

Definition at line 205 of file crypto_struct.h.

## ◆ info

uint8_t* psa_hkdf_key_derivation_t::info

Definition at line 203 of file crypto_struct.h.

## ◆ info_length

size_t psa_hkdf_key_derivation_t::info_length

Definition at line 204 of file crypto_struct.h.

## ◆ info_set

unsigned int psa_hkdf_key_derivation_t::info_set

Definition at line 214 of file crypto_struct.h.

## ◆ offset_in_block

uint8_t psa_hkdf_key_derivation_t::offset_in_block

Definition at line 211 of file crypto_struct.h.

## ◆ output_block

uint8_t psa_hkdf_key_derivation_t::output_block[PSA_HASH_MAX_SIZE]

Definition at line 207 of file crypto_struct.h.

## ◆ prk

uint8_t psa_hkdf_key_derivation_t::prk[PSA_HASH_MAX_SIZE]

Definition at line 206 of file crypto_struct.h.

## ◆ state

unsigned int psa_hkdf_key_derivation_t::state

Definition at line 213 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h